import { Meta } from '@storybook/react';
import { configureStore } from '@reduxjs/toolkit';
import { Provider } from 'react-redux';
import { mockData } from '../../../mock-data';
import { graphQueryResultSlice, querybuilderSlice, schemaSlice, visualizationSlice } from '../../../data-access/store';
import Vis0DComponent from './Vis0D';

const Component: Meta<typeof Vis0DComponent.component> = {
  title: 'Visualizations/0DVis',
  component: Vis0DComponent.component,
  decorators: [
    (story) => (
      <Provider store={Mockstore}>
        <div
          style={{
            width: '100%',
            height: '100vh',
          }}
        >
          {story()}
        </div>
      </Provider>
    ),
  ],
};

const Mockstore: any = configureStore({
  reducer: {
    schema: schemaSlice.reducer,
    graphQueryResult: graphQueryResultSlice.reducer,
    visualize: visualizationSlice.reducer,
    querybuilder: querybuilderSlice.reducer,
  },
});

export const TestWithData = {
  args: {
    data: {
      nodes: 12313,
      edges: [],
    },
    ml: {},
    settings: {
      ...Vis0DComponent.settings,
      title: 'KPI Count Movie',
    },
  },
};

export const TestWithNoData = {
  args: {
    data: {
      nodes: [123123, 1312, 21313],
      edges: [],
    },
    ml: {},
    settings: Vis0DComponent.settings,
  },
};

export default Component;
